using salesbook.Shared.Core.Dto;
using salesbook.Shared.Core.Entity;

namespace salesbook.Shared.Core.Interface;

public interface IIntegryApiService
{
    Task<List<StbActivity>?> RetrieveActivity(string? dateFilter = null);
    Task<List<JtbComt>?> RetrieveAllCommesse(string? dateFilter = null);
    Task<TaskSyncResponseDTO> RetrieveAnagClie(string? dateFilter = null);
    Task<TaskSyncResponseDTO> RetrieveProspect(string? dateFilter = null);
    Task<SettingsResponseDTO> RetrieveSettings();

    Task DeleteActivity(string activityId);

    Task<List<StbActivity>?> SaveActivity(ActivityDTO activity);
}